# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Config:
  - name: product_variations_display_mode
    category: General
    module: XC\ProductVariations
    type: XC\ProductVariations\View\FormField\Select\VariationsDisplayMode
    orderby: 101000
    value: 'collapse'
    translations:
      - code: en
        option_name: 'Product variations display mode in product list'

XLite\Model\LanguageLabel:
  - {name: "Variations", translations: [{code: en, label: "Variations"}]}
  - {name: "This option works in combination with the 'Available for sale' option. When both options are enabled the product will not show on store front in search results or category pages but will still show as normal through its direct url.", translations: [{code: en, label: "This option works in combination with the 'Available for sale' option. When both options are enabled the product will not show on store front in search results or category pages but will still show as normal through its direct url."}]}
  - {name: "Assign Product Class and Attributes to the current product, then check the Attributes that should be used to set up variations, and finally, add more products to the variations list.", translations: [{code: en, label: "Assign Product Class and Attributes to the current product, then check the Attributes that should be used to set up variations, and finally, add more products to the variations list."}]}
  - {name: "Use for variations", translations: [{code: en, label: "Use for variations"}]}
  - {name: "{{count}} variation is based on", translations: [{code: en, label: "{{count}} variation is based on"}]}
  - {name: "Filters applied by default:", translations: [{code: en, label: "Filters applied by default:"}]}
  - {name: "Product class:", translations: [{code: en, label: "Product class:"}]}
  - {name: "Attributes:", translations: [{code: en, label: "Attributes:"}]}
  - {name: "Please note, the selected attribute(s) will be removed from the existing products variations", translations: [{code: en, label: "Please note, the selected attribute(s) will be removed from the existing products variations. After that, you will need to review your product variations and remove the products with duplicate attribute combinations. Do you want to proceed?"}]}
  - {name: "Please note, the new attribute(s) will be added to the existing products variations", translations: [{code: en, label: "Please note, the new attribute(s) will be added to the existing products variations. After that, you will need to review your product variations and specify a unique attribute combination for each product. Do you want to proceed?"}]}
  - {name: "Please note, all the existing variation relationships related to the deleted Product Class(es) will be removed", translations: [{code: en, label: "Please note, all the existing variation relationships related to the deleted Product Class(es) will be removed. Do you want to proceed?"}]}
  - {name: "Please note, the existing variation relationship related to the current product and unset Product Class will be removed", translations: [{code: en, label: "Please note, the existing variation relationship related to the current product and unset Product Class will be removed. Do you want to proceed?"}]}
  - {name: "Please note, the selected attribute value(s) will be removed from the existing product variations", translations: [{code: en, label: "Please note, the selected attribute value(s) will be removed from the existing product variations. After that, you will need to review and update your product attributes and variations. Do you want to proceed?"}]}
  - {name: "The selected products will be removed from the variations list", translations: [{code: en, label: "The selected products will be removed from the variations list. Do you want to proceed?"}]}
  - {name: "This combination is not available", translations: [{code: en, label: "This combination is not available"}]}
  - {name: "This item is not available", translations: [{code: en, label: "This item is not available"}]}
  - {name: "Show one variation product", translations: [{code: en, label: "Show one variation product"}]}
  - {name: "Show all variation products", translations: [{code: en, label: "Show all variation products"}]}
  - {name: "View options", translations: [{code: en, label: "View options"}]}
  - {name: "Clone this variation", translations: [{code: en, label: "Clone this variation"}]}
  - {name: "Variation group ID", translations: [{code: en, label: "Variation group ID"}]}
  - {name: "Variation group ID already exists", translations: [{code: en, label: "Variation group ID already exists"}]}
  - {name: "Variation group ID help", translations: [{code: en, label: "Enter the value by which the products will be grouped as variations, e.g. product name"}]}
